cURL
curl --request GET \ --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \ --header 'Authorization: Bearer <token>'
{ "catalogInfo": { "id": "<string>", "name": "<string>", "columns": [ { "name": "<string>", "type": "Text", "notEmpty": true, "title": "<string>", "parameterType": "Text", "order": 123, "isPredefined": true } ], "catalogType": "Custom", "description": "<string>", "importFileName": "<string>", "locale": "International", "recordsCount": 123, "usedInSkills": [ { "skillId": "<string>", "version": 123 } ], "lastRecordsUpdateTime": "<string>" }, "records": [ { "externalId": "<string>", "columnValues": {} } ] }
The access token received from the authorization server in the OAuth 2.0 flow.
카탈로그 ID
접두어 값입니다. 최소 길이는 2자입니다.
2
응답에 포함할 레코드의 최대 개수입니다.
페이지네이션에 사용할 오프셋입니다. 결과 집합을 수집하기 시작하기 전에 건너뛸 레코드 수를 지정합니다.
성공
카탈로그 검색 작업의 결과를 나타냅니다.
Catalog 유형 데이터 세트 프로필에 대한 추가 정보
표시 하위 속성
검색 조건과 일치하는 카탈로그 레코드 목록입니다.
이 페이지가 도움이 되었나요?